/*
 * This file is generated by jOOQ.
*/
package com.tabajara.base.tables.pojos;


import com.tabajara.base.tables.interfaces.ICriacao;

import io.github.jklingsporn.vertx.jooq.shared.internal.VertxPojo;

import java.sql.Date;

import javax.annotation.Generated;


/**
 * This class is generated by jOOQ.
 */
@Generated(
    value = {
        "http://www.jooq.org",
        "jOOQ version:3.10.5"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class Criacao implements VertxPojo, ICriacao {

    private static final long serialVersionUID = 1323647632;

    private Integer criaid;
    private String  criaespecie;
    private Date    criadata;

    public Criacao() {}

    public Criacao(Criacao value) {
        this.criaid = value.criaid;
        this.criaespecie = value.criaespecie;
        this.criadata = value.criadata;
    }

    public Criacao(
        Integer criaid,
        String  criaespecie,
        Date    criadata
    ) {
        this.criaid = criaid;
        this.criaespecie = criaespecie;
        this.criadata = criadata;
    }

    @Override
    public Integer getCriaid() {
        return this.criaid;
    }

    @Override
    public Criacao setCriaid(Integer criaid) {
        this.criaid = criaid;
        return this;
    }

    @Override
    public String getCriaespecie() {
        return this.criaespecie;
    }

    @Override
    public Criacao setCriaespecie(String criaespecie) {
        this.criaespecie = criaespecie;
        return this;
    }

    @Override
    public Date getCriadata() {
        return this.criadata;
    }

    @Override
    public Criacao setCriadata(Date criadata) {
        this.criadata = criadata;
        return this;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder("Criacao (");

        sb.append(criaid);
        sb.append(", ").append(criaespecie);
        sb.append(", ").append(criadata);

        sb.append(")");
        return sb.toString();
    }

    // -------------------------------------------------------------------------
    // FROM and INTO
    // -------------------------------------------------------------------------

    /**
     * {@inheritDoc}
     */
    @Override
    public void from(ICriacao from) {
        setCriaid(from.getCriaid());
        setCriaespecie(from.getCriaespecie());
        setCriadata(from.getCriadata());
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public <E extends ICriacao> E into(E into) {
        into.from(this);
        return into;
    }

    public Criacao(io.vertx.core.json.JsonObject json) {
        this();
        fromJson(json);
    }
}
